# MatNullSpaceSetFunction

set a function that removes a null space from a vector out of null spaces.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatNullSpaceSetFunction(MatNullSpace sp, PetscErrorCode (*rem)(Vec,void*),void *ctx)

Collective on MatNullSpace

### Input Parameters

| sp | - the null space object
| rem | - the function that removes the null space
| ctx | - context for the remove function

### Keywords

PC, null space, create

### See Also

MatNullSpaceDestroy(), MatNullSpaceRemove(), KSPSetNullSpace(), MatNullSpace, MatNullSpaceCreate()

Level:advanced
Location: src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages